--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Options
  value: Struct.new(:formatter, :use_stdout, :width)
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_OBTAIN_ENTRIES_OPTIONS
  value: "{     :lookup_order => [               :exact, :exact_ci, :nested, :nested_ci, :partial, :partial_ci,                :nested_partial, :nested_partial_ci,     ],   }"
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_INFO_OPTIONS
  value: "{     :formatter => :ansi,     :width     => 72,     :extended  => false,     :expand_choices => false,   }"
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_DISPLAY_OPTIONS
  value: "{     :formatter => :ansi,     :width     => 72,   }"
full_name: FastRI::RiService
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: all_classes
- !ruby/object:RI::MethodSummary 
  name: all_methods
- !ruby/object:RI::MethodSummary 
  name: args
- !ruby/object:RI::MethodSummary 
  name: class_list
- !ruby/object:RI::MethodSummary 
  name: class_list_with_flag
- !ruby/object:RI::MethodSummary 
  name: completion_list
- !ruby/object:RI::MethodSummary 
  name: info
- !ruby/object:RI::MethodSummary 
  name: matches
- !ruby/object:RI::MethodSummary 
  name: obtain_entries
name: RiService
superclass: Object
